# GcuDimensionalValue Struct Reference

`#include <chemistry.h>`

List of all members.

## Public Attributes
double | value
int | prec
int | delta
const char * | unit

## Detailed Description

GcuDimensionalValue Structure used to store a dimensional value.

Definition at line 116 of file chemistry.h.

## Member Data Documentation

double GcuDimensionalValue::value

The value.

Definition at line 119 of file chemistry.h.

Referenced by gcu::CrystalAtom::r().

int GcuDimensionalValue::prec

The precision (number of significative decimal figures).

Definition at line 121 of file chemistry.h.

int GcuDimensionalValue::delta

The standard error (* 10^prec).

Definition at line 123 of file chemistry.h.

const char* GcuDimensionalValue::unit

The unit symbol.

Definition at line 125 of file chemistry.h.

The documentation for this struct was generated from the following file:

- chemistry.h